org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class IgniteDhtPartitionsToReloadMap

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.IgniteDhtPartitionsToReloadMap

All Implemented Interfaces:
  Serializable

    public class IgniteDhtPartitionsToReloadMap
    extends Object
    implements Serializable

Partition reload map.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteDhtPartitionsToReloadMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<Integer>` `get(UUID nodeId, int cacheId)`
`boolean` `isEmpty()`
`void` `put(UUID nodeId, int cacheId, int partId)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteDhtPartitionsToReloadMap

    public IgniteDhtPartitionsToReloadMap()

### Method Detail

#### get

    public Set<Integer> get(UUID nodeId,
                            int cacheId)

Parameters:
  `nodeId` - Node ID.
  `cacheId` - Cache ID.
Returns:
  Collection of partitions to reload.

#### put

    public void put(UUID nodeId,
                    int cacheId,
                    int partId)

Parameters:
  `nodeId` - Node ID.
  `cacheId` - Cache ID.
  `partId` - Partition ID.

#### isEmpty

    public boolean isEmpty()

Returns:
  `True` if empty.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020